import { z } from 'zod';
export declare const userBooksQueryParser: z.ZodObject<z.extendShape<z.extendShape<{
    limit: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}, {
    offset: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}>, {
    userId: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../../user/types").UserIdBrand, string>>;
    minAmount: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}>, "strip", z.ZodTypeAny, {
    userId?: import("../../user/types").UserIdBrand | undefined;
    minAmount?: number | undefined;
    limit: number;
    offset: number;
}, {
    userId?: string | undefined;
    minAmount?: string | number | undefined;
    limit: string | number;
    offset: string | number;
}>;
